/*
  Temperature_Humidity_example

  Recieves Raw values of Temperature and humidity sensor- Si7021.
  More detailed explanation in the readme file of the sensor folder.
  Visit: https://ieee-sensors.org/myosa/ for more details.
 
  Created by MYOSA team, IEEE Sensors Council

  This example code is in the public domain.
*/


#include <Temperature_Humidity.h>            //MYOSA library for Temperature_Humidity
Temperature_Humidity th;            //created Temperature_Humidity object
int flag,prev = 0;    //Variables
// The setup function runs once when you press reset or power the board

void setup() {
  th.begin();
  Serial.begin(9600);
 th.begin();        //Begin the temperature and humidity Sensor
}
// The loop function runs over and over again forever
void loop() {

flag =0 ;
if(error==0)
flag=1;
 if(prev==0 && flag==1){
 
} 
 Wire.beginTransmission(0x69);
int error = Wire.endTransmission();
if(error==0){
  float h=th.getHumidity();
  float tc=th.getTempC();
  float tf=th.getTempF();
  Serial.print("Humidity : ");
  Serial.println(h);
  Serial.print("Temperature in C : ");
  Serial.println(tc);
  Serial.print("Temperature in F : ");
  Serial.println(tf);
  Serial.flush();
  delay(2000);}
  prev=flag;

}

